Cookies op Tweakers

Tweakers is onderdeel van DPG Media en maakt gebruik van cookies, JavaScript en vergelijkbare technologie om je onder andere een optimale gebruikerservaring te bieden. Ook kan Tweakers hierdoor het gedrag van bezoekers vastleggen en analyseren. Door gebruik te maken van deze website, of door op 'Cookies accepteren' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt? Bekijk dan ons cookiebeleid.

Meer informatie
Toon posts:

Siemens IoT2020 hulp gevraagd

Pagina: 1
Acties:

  • stefan787
  • Registratie: maart 2013
  • Laatst online: 07-06 07:51
Beste Tweakers,

Ik ben sinds kort in het bezig van een Siemens IoT2020. Alleen lukt het mij iet om hier een NPM op te installeren.

Ik zou namelijk op de 2020 Node-Red willen draaien, hier voor heb je nodeJS nodig, dit staat er wel op

Dit is de line om node red te installeren:
code:
1
root@iot2000:~# npm install -g --unsafe-perm node-red

maar als ik dit uitvoer gaat het fout.
en putty komt dan terug met het volgende bericht:
code:
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
root@iot2000:~# npm install -g --unsafe-perm node-red
npm ERR! Linux 4.4.105-cip15
npm ERR! argv "/usr/bin/node" "/usr/bin/npm" "install" "-g" "--unsafe-perm" "nod   e-red"
npm ERR! node v6.12.3
npm ERR! npm  v3.10.10
npm ERR! code CERT_NOT_YET_VALID

npm ERR! certificate is not yet valid
npm ERR!
npm ERR! If you need help, you may report this error at:
npm ERR!     <https://github.com/npm/npm/issues>

npm ERR! Please include the following file with any support request:
npm ERR!     /home/root/npm-debug.log
root@iot2000:~# npm ERR! Linux 4.4.105-cip15


zijn er hier mensen die ook een Iot 2020 hebben met daarop Node Red?

Ik volg voor dit alles de volgende website.
https://www.rs-online.com...node-red-mqtt-and-sqlite3

en bovenaan het artikeel staat een link naar hoe je de sd kaart moet branden, dit heb ik ook gedaan. (Dus een nieuwe start) alleen dit maakt geen verschil. vanaf stap 6 gaat het niet meer zoals het moet.

Je kan Node Red ook op de pc draaien en dan kan ik
code:
1
 npm install -g --unsafe-perm node-red


zo in CMD gooien en het wordt super snel voor me geïnstalleerd.

Dus wat gaat hier nou fout?

ik hoop dat er mensen zijn die me hier mee kunnen helpen?


PS:

er wordt ook een log file aangemaakt, dit is het volgende wat er in staat:
code:
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
0 info it worked if it ends with ok
1 verbose cli [ '/usr/bin/node',
1 verbose cli   '/usr/bin/npm',
1 verbose cli   'install',
1 verbose cli   '-g',
1 verbose cli   '--unsafe-perm',
1 verbose cli   'node-red' ]
2 info using npm@3.10.10
3 info using node@v6.12.3
4 silly loadCurrentTree Starting
5 silly install loadCurrentTree
6 silly install readGlobalPackageData
7 silly fetchPackageMetaData node-red
8 silly fetchNamedPackageData node-red
9 silly mapToRegistry name node-red
10 silly mapToRegistry using default registry
11 silly mapToRegistry registry https://registry.npmjs.org/
12 silly mapToRegistry data Result {
12 silly mapToRegistry   raw: 'node-red',
12 silly mapToRegistry   scope: null,
12 silly mapToRegistry   escapedName: 'node-red',
12 silly mapToRegistry   name: 'node-red',
12 silly mapToRegistry   rawSpec: '',
12 silly mapToRegistry   spec: 'latest',
12 silly mapToRegistry   type: 'tag' }
13 silly mapToRegistry uri https://registry.npmjs.org/node-red
14 verbose request uri https://registry.npmjs.org/node-red
15 verbose request no auth needed
16 info attempt registry request try #1 at 02:59:44 GMT+0000 (UTC)
17 verbose request id 3d67a87a3bb2f52e
18 http request GET https://registry.npmjs.org/node-red
19 info retry will retry, error on last attempt: Error: certificate is not yet valid
20 info attempt registry request try #2 at 02:59:56 GMT+0000 (UTC)
21 http request GET https://registry.npmjs.org/node-red
22 info retry will retry, error on last attempt: Error: certificate is not yet valid
23 info attempt registry request try #3 at 03:00:57 GMT+0000 (UTC)
24 http request GET https://registry.npmjs.org/node-red
25 silly fetchPackageMetaData Error: certificate is not yet valid
25 silly fetchPackageMetaData     at Error (native)
25 silly fetchPackageMetaData     at TLSSocket.<anonymous> (_tls_wrap.js:1092:38)
25 silly fetchPackageMetaData     at emitNone (events.js:86:13)
25 silly fetchPackageMetaData     at TLSSocket.emit (events.js:185:7)
25 silly fetchPackageMetaData     at TLSSocket._finishInit (_tls_wrap.js:610:8)
25 silly fetchPackageMetaData     at TLSWrap.ssl.onhandshakedone (_tls_wrap.js:440:38)
25 silly fetchPackageMetaData  error for node-red { Error: certificate is not yet valid
25 silly fetchPackageMetaData     at Error (native)
25 silly fetchPackageMetaData     at TLSSocket.<anonymous> (_tls_wrap.js:1092:38)
25 silly fetchPackageMetaData     at emitNone (events.js:86:13)
25 silly fetchPackageMetaData     at TLSSocket.emit (events.js:185:7)
25 silly fetchPackageMetaData     at TLSSocket._finishInit (_tls_wrap.js:610:8)
25 silly fetchPackageMetaData     at TLSWrap.ssl.onhandshakedone (_tls_wrap.js:440:38) code: 'CERT_NOT_YET_VALID' }
26 silly rollbackFailedOptional Starting
27 silly rollbackFailedOptional Finishing
28 silly runTopLevelLifecycles Finishing
29 silly install printInstalled
30 verbose stack Error: certificate is not yet valid
30 verbose stack     at Error (native)
30 verbose stack     at TLSSocket.<anonymous> (_tls_wrap.js:1092:38)
30 verbose stack     at emitNone (events.js:86:13)
30 verbose stack     at TLSSocket.emit (events.js:185:7)
30 verbose stack     at TLSSocket._finishInit (_tls_wrap.js:610:8)
30 verbose stack     at TLSWrap.ssl.onhandshakedone (_tls_wrap.js:440:38)
31 verbose cwd /home/root
32 error Linux 4.4.105-cip15
33 error argv "/usr/bin/node" "/usr/bin/npm" "install" "-g" "--unsafe-perm" "node-red"
34 error node v6.12.3
35 error npm  v3.10.10
36 error code CERT_NOT_YET_VALID
37 error certificate is not yet valid
38 error If you need help, you may report this error at:
38 error     <https://github.com/npm/npm/issues>
39 verbose exit [ 1, true ]

[Voor 52% gewijzigd door stefan787 op 16-10-2018 17:44]


  • BasilFX
  • Registratie: mei 2004
  • Laatst online: 16:03

BasilFX

BasilFX

De foutmelding 'CERT_NOT_YET_VALID' lijkt aan te geven dat er iets mis is met de datum en tijd van het systeem. Heb je deze goed staan (probeer het commando 'date' eens)?

http://www.basilfx.net



Apple iPad Pro (2021) 11" Wi-Fi, 8GB ram Microsoft Xbox Series X LG CX Google Pixel 5a 5G Sony XH90 / XH92 Samsung Galaxy S21 5G Sony PlayStation 5 Nintendo Switch Lite

Tweakers vormt samen met Hardware Info, AutoTrack, Gaspedaal.nl, Nationale Vacaturebank, Intermediair en Independer DPG Online Services B.V.
Alle rechten voorbehouden © 1998 - 2021 Hosting door True